Stream usage
curl --request GET \
--url https://usage-service.vatis.tech/usage-service/api/v1/usage/streams/{streamId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://usage-service.vatis.tech/usage-service/api/v1/usage/streams/{streamId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://usage-service.vatis.tech/usage-service/api/v1/usage/streams/{streamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creatorId": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"streamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"streamConfigurationTemplateId": "<string>",
"currency": "<string>",
"processors": [
{
"creatorId": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"streamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processorId": "<string>",
"streamConfigurationTemplateId": "<string>",
"timestamp": 123,
"credits": "<string>",
"executionTime": 123,
"storageSize": 123,
"ingressSize": 123,
"egressSize": 123,
"processedAudioLength": 123,
"processedTokens": 123,
"finalUsage": true,
"errorOccurred": true,
"processedInputTokens": 123,
"processedOutputTokens": 123
}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}Usage
Stream usage
Get the usage of all processors in a stream
GET
/
usage-service
/
api
/
v1
/
usage
/
streams
/
{streamId}
Stream usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Stream id
Query Parameters
Currency to use for the report. If not specified, the default credits abstraction will be used
Example:
"USD"
⌘I